{
  pkgs,
  lib,
  ...
}:
with lib; {
  imports = [
    ../../options/copySysConf.nix
  ];
  config.machine = {
    allowUnfree = true;
    hostName = "Lilim";
    networkD = {
      enable = true;
      waitOnline = false;
    };
    administrators = [
      {
        name = "derped";
        id = 1337;
      }
    ];
    conffiles = [
      "etcfiles"
      "etcvars"
      "fonts"
      "zsh"
    ];
    pkgs = [
      "base"
      "cpp"
      "dict"
      "nodejs"
      "latex"
      "extra"
      "haskell"
      "mail_utils"
      "python3"
      "xpkgs"
    ];
    services = [
      "bind"
      "desktop"
      "desktop::i3"
      "udev"
      "cups"
      "mullvad"
      "mariaDB"
      "docker"
      "podman"
    ];
    firewall = {
      enable = true;
      allowPing = true;
      allowedUDPPorts = [24642];
      allowedTCPPorts = [24642];
      allowedUDPPortRanges = [
        {
          from = 1714;
          to = 1764;
        }
      ];
      allowedTCPPortRanges = [
        {
          from = 1714;
          to = 1764;
        }
      ];
    };
  };

  config.system.copySysConf = {
    enable = false;
    addToNixPath = false;
  };
}
